const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.phaseo.app/v1/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.phaseo.app/v1/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.phaseo.app/v1/models \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.phaseo.app/v1/models"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.phaseo.app/v1/models")
.header("Authorization", "Bearer <token>")
.asString();
{
"ok": true,
"availability_mode": "active",
"limit": 50,
"offset": 0,
"total": 128,
"models": [
{
"id": "<string>",
"base_model_id": "<string>",
"variant": "<string>",
"variants": {},
"name": "<string>",
"description": "<string>",
"organization": {
"id": "<string>",
"name": "<string>",
"color": "<string>"
},
"aliases": [
"<string>"
],
"lifecycle": {
"status": "active",
"released_at": "<string>",
"deprecated_at": "<string>",
"retires_at": "<string>",
"replacement_id": "<string>",
"message": "<string>"
},
"modalities": {
"input": [
"<string>"
],
"output": [
"<string>"
]
},
"limits": {
"input_tokens": 1,
"output_tokens": 1
},
"capabilities": {
"parameters": [
"<string>"
],
"parameter_details": {},
"endpoints": [
"<string>"
]
},
"availability": {
"status": "active",
"provider_count": 1,
"active_provider_count": 1,
"coming_soon_provider_count": 1,
"inactive_provider_count": 1
},
"pricing": {
"pricing_plan": "standard",
"meters": {}
},
"offers": [
{
"provider": {
"id": "<string>",
"name": "<string>"
},
"model": "<string>",
"status": "active",
"status_reason": "active",
"routable": true,
"endpoints": [
"<string>"
],
"modalities": {
"input": [
"<string>"
],
"output": [
"<string>"
]
},
"capabilities": {
"parameters": [
"<string>"
],
"parameter_details": {},
"endpoints": [
"<string>"
]
},
"routing": {
"provider": "active",
"model": "active",
"capability": "active"
},
"effective": {
"from": "<string>",
"to": "<string>"
},
"pricing": {
"pricing_plan": "standard",
"meters": {}
}
}
]
}
]
}{
"ok": false,
"error": "invalid_request",
"message": "Invalid request parameters.",
"max_offset": 1
}{
"error": "error_type",
"ok": false,
"message": "Human-readable error message",
"description": "Additional error details.",
"generation_id": "G-abc123",
"status_code": 502,
"error_type": "system",
"error_origin": "upstream",
"reason": "all_candidates_failed",
"attempt_count": 2,
"failed_providers": [
"google-ai-studio",
"openai"
],
"failed_statuses": [
403,
429
],
"upstream_error": {
"code": "PERMISSION_DENIED",
"message": "The caller does not have permission.",
"description": "<string>",
"param": "<string>"
},
"failure_sample": [
{
"provider": "<string>",
"type": "<string>",
"status": 123,
"upstream_error_code": "<string>",
"upstream_error_message": "<string>",
"upstream_error_description": "<string>",
"upstream_error_param": "<string>",
"upstream_payload_preview": "<string>",
"retryable": true
}
],
"provider_failure_diagnostics": {
"category": "credentials_not_configured",
"hint": "<string>",
"provider": "<string>"
},
"routing_diagnostics": {
"filterStages": [
{
"stage": "<string>",
"beforeCount": 123,
"afterCount": 123,
"droppedProviders": [
{
"providerId": "<string>",
"reason": "<string>"
}
]
}
]
},
"provider_candidate_diagnostics": {
"totalProviders": 123,
"supportsEndpointCount": 123,
"candidateCount": 123,
"droppedUnsupportedEndpoint": [
"<string>"
],
"droppedMissingAdapter": [
{
"providerId": "<string>",
"endpoint": "<string>"
}
]
},
"provider_enablement": {
"capability": "<string>",
"providersBefore": [
"<string>"
],
"providersAfter": [
"<string>"
],
"dropped": [
{
"providerId": "<string>",
"reason": "<string>"
}
]
},
"missing_pricing_providers": [
"<string>"
],
"provider_payment_required_provider": "openai",
"provider_payment_required_support_notice": "Our upstream provider billing appears to be unavailable. If this persists, contact support.",
"details": [
{}
]
}{
"error": "error_type",
"ok": false,
"message": "Human-readable error message",
"description": "Additional error details.",
"generation_id": "G-abc123",
"status_code": 502,
"error_type": "system",
"error_origin": "upstream",
"reason": "all_candidates_failed",
"attempt_count": 2,
"failed_providers": [
"google-ai-studio",
"openai"
],
"failed_statuses": [
403,
429
],
"upstream_error": {
"code": "PERMISSION_DENIED",
"message": "The caller does not have permission.",
"description": "<string>",
"param": "<string>"
},
"failure_sample": [
{
"provider": "<string>",
"type": "<string>",
"status": 123,
"upstream_error_code": "<string>",
"upstream_error_message": "<string>",
"upstream_error_description": "<string>",
"upstream_error_param": "<string>",
"upstream_payload_preview": "<string>",
"retryable": true
}
],
"provider_failure_diagnostics": {
"category": "credentials_not_configured",
"hint": "<string>",
"provider": "<string>"
},
"routing_diagnostics": {
"filterStages": [
{
"stage": "<string>",
"beforeCount": 123,
"afterCount": 123,
"droppedProviders": [
{
"providerId": "<string>",
"reason": "<string>"
}
]
}
]
},
"provider_candidate_diagnostics": {
"totalProviders": 123,
"supportsEndpointCount": 123,
"candidateCount": 123,
"droppedUnsupportedEndpoint": [
"<string>"
],
"droppedMissingAdapter": [
{
"providerId": "<string>",
"endpoint": "<string>"
}
]
},
"provider_enablement": {
"capability": "<string>",
"providersBefore": [
"<string>"
],
"providersAfter": [
"<string>"
],
"dropped": [
{
"providerId": "<string>",
"reason": "<string>"
}
]
},
"missing_pricing_providers": [
"<string>"
],
"provider_payment_required_provider": "openai",
"provider_payment_required_support_notice": "Our upstream provider billing appears to be unavailable. If this persists, contact support.",
"details": [
{}
]
}عرض النماذج
تصفح النماذج الأصلية في Gateway عبر Phaseo Gateway، مع تفاصيل اختيارية عن توفر النماذج غير القابلة للتوجيه.
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.phaseo.app/v1/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.phaseo.app/v1/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)availability=all لتضمين النماذج المعروفة غير المتاحة حاليًا.
تُخزّن استجابات الكتالوج مؤقتًا لخمس دقائق، وقد تُقدّم لخمس دقائق إضافية أثناء إعادة التحقق من صلاحية التخزين المؤقت. ينطبق ذلك على صيغ JSON وRSS وAtom للكتالوج الحالي؛ أما موجز الإصدارات فله تخزين مؤقت مستقل وأقصر للاستطلاع.
GET /models/me مخصص لتصفية مستقبلية للنماذج وفق ضوابط المتصل الحالي. وهو يعيد حاليًا 501 not implemented، لذا استخدم GET /models للوصول إلى كتالوج Gateway المشترك في الوقت الحالي.
عوامل تصفية مفيدة
- يستخدم
endpointsأسماء عامة مثلchat.completionsوresponsesوmessages - يرشح
statusالنماذج حسب دورة حياتها، مثلactiveأوdeprecatedأوretired - يرشح
providerحسب معرّف المزوّد العام، مثلopenaiأوanthropicأوgoogle_vertex - يرشح
provider_statusحسب مستوى طرح المزوّد، مثلactiveأوbetaأوalphaأوnot_ready - يرشح
provider_routing_statusحسب حالة توجيه المزوّد - يرشح
model_routing_statusحسب حالة توجيه النموذج - يرشح
capability_statusحسب حالة إمكانات المزوّد لمطابقة نقطة النهاية المطلوبة - يرشح
provider_availability_statusحسب توفر المزوّد، مثلactiveأوcoming_soonأوinactive - يرشح
provider_availability_reasonحسب سبب توفر المزوّد، مثلpreview_onlyأوprovider_not_readyأوgatedأوaccess_limitedأوregion_limited - يرشح
organisationحسب بادئة معرّف النموذج العام، مثلanthropicفيanthropic/claude-3-haiku - القيمة الافتراضية هي
availability=active - يتضمن
availability=allالنماذج أو المزوّدين ذوي الحالةcoming_soonأوinactiveأو غير القابلين للتوجيه للعامة بعد input_modalitiesاسم بديل لـinput_typesoutput_modalitiesاسم بديل لـoutput_typessupported_parametersاسم بديل لـparams
GET /models/{author}/{slug}/endpoints. تفصل الاستجابة مسارات المزوّدين وتعرض في كل صف المسار العام والوسائط وتفاصيل المعلمات المدعومة والتوفر وحالة التوجيه واسم النموذج لدى المزوّد وملخص الأسعار.
قد تتضمن إدخالات المزوّد أيضًا:
availability_statusavailability_reasonprovider_statusprovider_routing_statusmodel_routing_statuscapability_status
الاستجابة
{
"ok": true,
"privacy_scope": "shared",
"availability_mode": "all",
"limit": 50,
"offset": 0,
"total": 99,
"models": [
{
"id": "anthropic/claude-3-haiku",
"canonical_slug": "anthropic/claude-3-haiku",
"model_id": "anthropic/claude-3-haiku",
"name": "anthropic/claude-3-haiku",
"description": "anthropic/claude-3-haiku via Phaseo Gateway. Supports chat.completions, messages, responses.",
"created": null,
"release_date": null,
"deprecation_date": null,
"retirement_date": null,
"status": "active",
"availability": {
"status": "coming_soon",
"provider_count": 1,
"active_provider_count": 0,
"inactive_provider_count": 0
},
"organisation_id": "anthropic",
"organisation_name": null,
"organisation_colour": null,
"aliases": [],
"endpoints": ["chat.completions", "messages", "responses"],
"input_types": ["text"],
"output_types": ["text"],
"architecture": {
"modality": "text->text",
"input_modalities": ["text"],
"output_modalities": ["text"],
"tokenizer": null,
"instruct_type": "chat"
},
"providers": [
{
"api_provider_id": "anthropic",
"api_provider_name": "Anthropic",
"provider_model_slug": "claude-3-haiku-20240307",
"is_active_gateway": false,
"availability_status": "coming_soon",
"availability_reason": "preview_only",
"provider_status": "beta",
"provider_routing_status": "active",
"model_routing_status": "active",
"capability_status": "coming_soon",
"effective_from": "2026-06-01T00:00:00Z",
"effective_to": null,
"endpoints": ["responses"],
"input_modalities": ["text"],
"output_modalities": ["text"],
"params": [
"max_tokens",
"response_format",
"stop",
"structured_outputs",
"temperature",
"tool_choice",
"tools",
"top_k",
"top_p"
],
"supported_parameters": [
"max_tokens",
"response_format",
"stop",
"structured_outputs",
"temperature",
"tool_choice",
"tools",
"top_k",
"top_p"
],
"supported_parameters_detail": {
"temperature": {
"supported": true,
"type": "number",
"minimum": 0,
"maximum": 2
}
}
}
],
"supported_params": [
"max_tokens",
"response_format",
"stop",
"structured_outputs",
"temperature",
"tool_choice",
"tools",
"top_k",
"top_p"
],
"supported_params_detail": {
"temperature": {
"supported": true,
"type": "number",
"minimum": 0,
"maximum": 2,
"providers": ["openai"]
}
},
"supported_parameters": [
"max_tokens",
"response_format",
"stop",
"structured_outputs",
"temperature",
"tool_choice",
"tools",
"top_k",
"top_p"
],
"supported_parameters_detail": {
"temperature": {
"supported": true,
"type": "number",
"minimum": 0,
"maximum": 2,
"providers": ["openai"]
}
},
"top_provider_id": null,
"top_provider": {
"context_length": null,
"max_completion_tokens": null,
"is_moderated": false
},
"pricing": {
"prompt": null,
"completion": null,
"request": null,
"image": null,
"input_cache_read": null,
"input_cache_write": null,
"web_search": null
},
"pricing_detail": {
"pricing_plan": "standard",
"meters": {}
},
"per_request_limits": null
}
]
}
availability_reason هو الحقل الوحيد الذي يوضح سبب كون إدخال المزوّد نشطًا أو متاحًا للمعاينة فقط أو غير نشط.التفويضات
المصادقة باستخدام رمز Bearer
معلمات الاستعلام
بحث غير حساس لحالة الأحرف في معرّفات النماذج وأسمائها وأوصافها والمؤسسات.
200بحث غير حساس لحالة الأحرف عن المزود أو مؤسسة النموذج.
100اشتراط نمط إدخال مدعوم.
text, image, audio, video اشتراط هذا العدد على الأقل من رموز سياق الإدخال.
x >= 0أقصى سعر بالدولار لكل مليون رمز إدخال.
x >= 0عرض النماذج التي لديها عرض بوابة واحد على الأقل قابل للتوجيه فقط.
الحقل المستخدم لترتيب نتائج اكتشاف النماذج.
relevance, input_price, output_price, context_length, provider_count اتجاه ترتيب اختياري. تُرتّب الأسعار تصاعديًا افتراضيًا، والقيم الرقمية الأخرى تنازليًا.
asc, desc التصفية حسب نقاط النهاية
التصفية حسب المؤسسة معرّف المؤسسة.
01-ai, adept, ai21, aion-labs, aisingapore, alibaba, allenai, amazon, anthracite-org, anthropic, arcee-ai, baai, baichuan, baidu, bigcode, black-forest-labs, bytedance, bytedance-seed, cogito, cognitivecomputations, cohere, crofai, cursor, cyfragovpl, databricks, decart, deepseek, dots-studio, early-access, eleven-labs, essential-ai, fastino, fish-audio, github, google, gryphe, hexgrad, ibm, ibm-granite, inception, inclusionai, inference-net, inflection, intfloat, jetbrains, kblab, kling, kuaishou, kwaipilot, kwaivgi, lg, lightricks, liquid-ai, mancer, medaibase, meituan, meta, microsoft, mindai, minimax, mistral, mistralai, moonshotai, morph, naver-hyperclova, near-ai, nex-agi, nous, nousresearch, novasearch, nvidia, openai, openbmb, opencompass, opengvlab, orcarouter, ornith, perceptron, perplexity, phala, pixverse, poe, poolside, prime-intellect, prism-ml, qwen, reka, relace, runway, sakana, sao10k, sapiens-ai, sentence-transformers, sference, shanghai-ai-laboratory, shengshu-ai, snowflake, sourceful, spacex-ai, speakleash, stability-ai, stealth, stepfun, suno, tencent, thedrummer, thinking-machines, undi95, upstage, venice, vercel, villanova-ai, voyage, windsurf, writer, xai, xgenerationlab, xiaomi, z-ai, zyphra التصفية حسب معرّف المزوّد
التصفية حسب حالة طرح المزوّد
التصفية حسب حالة توجيه المزوّد
التصفية حسب حالة توجيه النموذج
التصفية حسب حالة قدرات المزوّد
التصفية حسب حالة توفر المزوّد
التصفية حسب سبب توفر المزوّد
التصفية حسب حالة النموذج
التصفية حسب أنواع الإدخال
اسم مستعار عام لـ input_types.
التصفية حسب أنواع الإخراج
اسم مستعار عام لـ output_types.
التصفية حسب المعلمات
اسم مستعار عام لـ params.
مرشح التوفر. يعرض active النماذج القابلة للتوجيه علنًا فقط؛ ويشمل all سجلات التوفر غير القابلة للتوجيه.
active, all تحديد عدد النتائج
1 <= x <= 250الإزاحة لأغراض ترقيم الصفحات
0 <= x <= 5000تنسيق الاستجابة. القيمة الافتراضية هي json.
json, rss, atom اسم مستعار لـ format. يقبل json أو rss أو atom.
json, rss, atom الاستجابة
قائمة النماذج
true
active, all "active"
1 <= x <= 25050
0 <= x <= 50000
x >= 0128
Show child attributes
Show child attributes
هل كانت هذه الصفحة مفيدة؟